## org.jdom.adapters
Interface DOMAdapter

All Known Implementing Classes:
  AbstractDOMAdapter

public interface DOMAdapter

`DOMAdapter`

This interface defines wrapper behavior for obtaining a DOM `Document` object from a DOM parser.

Version:
  $Revison$, $Date: 2002/01/08 09:17:10 $
Author:
  Brett McLaughlin, Jason Hunter

Method Summary
`org.w3c.dom.Document` `createDocument()` This creates an empty `Document` object based on a specific parser implementation.
`org.w3c.dom.Document` `createDocument(DocType doctype)` This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.
`org.w3c.dom.Document` `getDocument(java.io.File filename, boolean validate)` This creates a new `Document` from a given filename by letting a DOM parser handle parsing from the file.
`org.w3c.dom.Document` `getDocument(java.io.InputStream in, boolean validate)` This creates a new `Document` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument(java.io.File filename,
                                            boolean validate)
                                     throws java.lang.Exception

  This creates a new `Document` from a given filename by letting a DOM parser handle parsing from the file.

  Parameters:
    `filename` - file to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    java.lang.Exception - when errors occur in parsing.

### getDocument

    public org.w3c.dom.Document getDocument(java.io.InputStream in,
                                            boolean validate)
                                     throws java.lang.Exception

  This creates a new `Document` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Parameters:
    `in` - `InputStream` to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    java.lang.Exception - when errors occur in parsing.

### createDocument

    public org.w3c.dom.Document createDocument()
                                        throws java.lang.Exception

  This creates an empty `Document` object based on a specific parser implementation.

  Returns:
    `Document` - created DOM Document.
  Throws:
    java.lang.Exception - when errors occur.

### createDocument

    public org.w3c.dom.Document createDocument(DocType doctype)
                                        throws java.lang.Exception

  This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.

  Parameters:
    `doctype` - Initial `DocType` of the document.
  Returns:
    `Document` - created DOM Document.
  Throws:
    java.lang.Exception - when errors occur.

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.